# eric6.WebBrowser.WebBrowserWindow

Module implementing the web browser main window.

### Global Attributes

None

### Classes

WebBrowserWindow | Class implementing the web browser main window.

### Functions

None

## WebBrowserWindow

Class implementing the web browser main window.

### Signals

webBrowserClosed(browser)
  emitted after a web browser tab was closed
webBrowserOpened(browser)
  emitted after a new web browser tab was created
webBrowserWindowClosed(window)
  emitted after the window was requested to close
webBrowserWindowOpened(window)
  emitted after a new web browser window was opened

### Derived from

E5MainWindow

### Class Attributes

BrowserWindows
_adblockManager
_autoScroller
_bookmarksManager
_cookieJar
_downloadManager
_featurePermissionManager
_feedsManager
_flashCookieManager
_greaseMonkeyManager
_helpEngine
_historyManager
_imageSearchEngine
_isPrivate
_lastActiveWindow
_networkManager
_notification
_passwordManager
_performingShutdown
_performingStartup
_personalInformationManager
_protocolHandlerManager
_safeBrowsingManager
_sessionManager
_speedDial
_syncManager
_tabManager
_useQtHelp
_userAgentsManager
_webProfile

### Class Methods

adBlockManager | Class method to get a reference to the AdBlock manager.
autoScroller | Class method to get a reference to the auto scroller.
bookmarksManager | Class method to get a reference to the bookmarks manager.
cookieJar | Class method to get a reference to the cookie jar.
downloadManager | Class method to get a reference to the download manager.
downloadRequested | Class method to handle a download request.
featurePermissionManager | Class method to get a reference to the feature permission manager.
feedsManager | Class method to get a reference to the RSS feeds manager.
flashCookieManager | Class method to get a reference to the flash cookies manager.
getQtHelpCollectionFileName | Class method to determine the name of the QtHelp collection file.
getWindow | Class method to get a reference to the most recent active web browser window.
globalStatusBar | Class method to get a reference to a global status bar.
greaseMonkeyManager | Class method to get a reference to the GreaseMonkey manager.
helpEngine | Class method to get a reference to the help engine.
historyManager | Class method to get a reference to the history manager.
icon | Class method to get the icon for an URL.
imageSearchEngine | Class method to get a reference to the image search engine.
isPrivate | Class method to check the private browsing mode.
mainWindow | Class method to get a reference to the main window.
mainWindows | Class method to get references to all main windows.
networkManager | Class method to get a reference to the network manager object.
notificationsEnabled | Class method to check, if notifications are enabled.
passwordManager | Class method to get a reference to the password manager.
personalInformationManager | Class method to get a reference to the personal information manager.
protocolHandlerManager | Class method to get a reference to the protocol handler manager.
safeBrowsingManager | Class method to get a reference to the safe browsing interface.
sessionManager | Class method to get a reference to the session manager.
setUseQtHelp | Class method to set the QtHelp usage.
showNotification | Class method to show a desktop notification.
speedDial | Class method to get a reference to the speed dial.
syncManager | Class method to get a reference to the data synchronization manager.
tabManager | Class method to get a reference to the tab manager widget.
userAgentsManager | Class method to get a reference to the user agents manager.
webProfile | Class method handling the web engine profile.
webSettings | Class method to get the web settings of the current profile.

### Methods

WebBrowserWindow | Constructor
__TBMenuTriggered | Private method to handle the toggle of a toolbar via the Window-> Toolbars submenu or the toolbars popup menu.
__about | Private slot to show the about information.
__aboutQt | Private slot to show info about Qt.
__aboutToShowSettingsMenu | Private slot to show the Settings menu.
__aboutToShowTextEncodingMenu | Private slot to populate the text encoding menu.
__activateCurrentBrowser | Private slot to activate the current browser.
__activateDock | Private method to activate the dock widget of the given widget.
__addBookmark | Private slot called to add the displayed file to the bookmarks.
__addBookmarkCallback | Private callback method of __addBookmark().
__addBookmarkFolder | Private slot to add a new bookmarks folder.
__appFocusChanged | Private slot to handle a change of the focus.
__backward | Private slot called to handle the backward action.
__bookmarkAllCallback | Private callback method of __addBookmark().
__clearIconsDatabase | Private slot to clear the favicons databse.
__clearPrivateData | Private slot to clear the private data.
__configShortcuts | Private slot to configure the keyboard shortcuts.
__copy | Private slot called to handle the copy action.
__createTextEncodingAction | Private method to create an action for the text encoding menu.
__createTextEncodingSubmenu | Private method to create a text encoding sub menu.
__currentChanged | Private slot to handle the currentChanged signal.
__cut | Private slot called to handle the cut action.
__del__ | Special method called during object destruction.
__docsInstalled | Private slot handling the end of documentation installation.
__exportShortcuts | Private slot to export the keyboard shortcuts.
__feedsManagerClosed | Private slot to handle closing the feeds manager dialog.
__filterQtHelpDocumentation | Private slot to filter the QtHelp documentation.
__find | Private slot to handle the find action.
__forward | Private slot called to handle the forward action.
__hideNavigation | Private slot to hide full screen navigation by timer.
__home | Private slot called to handle the home action.
__importShortcuts | Private slot to import the keyboard shortcuts.
__indexingFinished | Private slot to handle the start of the indexing process.
__indexingStarted | Private slot to handle the start of the indexing process.
__initActions | Private method to define the user interface actions.
__initHelpDb | Private slot to initialize the documentation database.
__initMenus | Private method to create the menus.
__initSuperMenu | Private method to create the super menu and attach it to the super menu button.
__initToolbars | Private method to create the toolbars.
__initWebEngineSettings | Private method to set the global web settings.
__linkActivated | Private slot to handle the selection of a link.
__lookForNewDocumentation | Private slot to look for new documentation to be loaded into the help database.
__manageQtHelpDocumentation | Private slot to manage the QtHelp documentation database.
__nextTab | Private slot used to show the next tab.
__openFile | Private slot called to open a file.
__openFileNewTab | Private slot called to open a file in a new tab.
__paste | Private slot called to handle the paste action.
__populateToolbarsMenu | Private method to populate the toolbars menu.
__prevTab | Private slot used to show the previous tab.
__redo | Private slot to handle the redo action.
__reload | Private slot called to handle the reload action.
__removeOldDocumentation | Private slot to remove non-existing documentation from the help engine.
__saLoadUrl | Private slot to load an URL received via the single application protocol.
__saNewTab | Private slot to load an URL received via the single application protocol in a new tab.
__saSearchWord | Private slot to search for the given word.
__savePageAs | Private slot to save the current page.
__saveVisiblePageScreen | Private slot to save the visible part of the current page as a screen shot.
__searchForWord | Private slot to search for a word.
__selectAll | Private slot to handle the select all action.
__sendPageLink | Private slot to send the link of the current page via email.
__setBookmarksToolbarVisibility | Private method to set the visibility of the bookmarks toolbar.
__setIconDatabasePath | Private method to set the favicons path.
__setMenuBarVisibility | Private method to set the visibility of the menu bar.
__setStatusBarVisible | Private method to set the visibility of the status bar.
__setTextEncoding | Private slot to set the selected text encoding as the default for this session.
__setUserStyleSheet | Private method to set a user style sheet.
__setupFilterCombo | Private slot to setup the filter combo box.
__shallShutDown | Private method to check, if the application should be shut down.
__showAcceptedLanguages | Private slot to configure the accepted languages for web pages.
__showAdBlockDialog | Private slot to show the AdBlock configuration dialog.
__showBookmarksDialog | Private slot to show the bookmarks dialog.
__showCertificateErrorsDialog | Private slot to show the certificate errors management dialog.
__showCookiesConfiguration | Private slot to configure the cookies handling.
__showDownloadsWindow | Private slot to show the downloads dialog.
__showEnginesConfigurationDialog | Private slot to show the search engines configuration dialog.
__showFeaturePermissionDialog | Private slot to show the feature permission dialog.
__showFeedsManager | Private slot to show the feeds manager dialog.
__showFlashCookiesManagement | Private slot to show the flash cookies management dialog.
__showGreaseMonkeyConfigDialog | Private slot to show the GreaseMonkey scripts configuration dialog.
__showIndexWindow | Private method to show the index window.
__showInstallationError | Private slot to show installation errors.
__showPageSource | Private slot to show the source of the current page in an editor.
__showPageSourceCallback | Private method to show the source of the current page in an editor.
__showPasswordsDialog | Private slot to show the passwords management dialog.
__showPersonalInformationDialog | Private slot to show the Personal Information configuration dialog.
__showPreferences | Private slot to set the preferences.
__showProtocolHandlerManagerDialog | Private slot to show the protocol handler manager dialog.
__showSafeBrowsingDialog | Private slot to show the safe browsing management dialog.
__showSearchWindow | Private method to show the search window.
__showSessionManagerDialog | Private slot to show the session manager dialog.
__showSiteinfoDialog | Private slot to show the site info dialog.
__showSyncDialog | Private slot to show the synchronization dialog.
__showTabManager | Private method to show the tab manager window.
__showTocWindow | Private method to show the table of contents window.
__showToolbarsMenu | Private slot to display the Toolbars menu.
__showUserAgentsDialog | Private slot to show the user agents management dialog.
__showWebIconsDialog | Private slot to show a dialog to manage the favicons database.
__showZoomValuesDialog | Private slot to show the zoom values management dialog.
__shutdownWindow | Private method to shut down a web browser window.
__stopLoading | Private slot called to handle loading of the current page.
__switchTab | Private slot used to switch between the current and the previous current tab.
__syncTOC | Private slot to synchronize the TOC with the currently shown page.
__titleChanged | Private slot called to handle a change of a browser's title.
__toggleJavaScriptConsole | Private slot to toggle the JavaScript console.
__undo | Private slot to handle the undo action.
__unselect | Private slot to clear the selection of the current browser.
__virusTotalDomainReport | Private slot to retrieve a domain report.
__virusTotalFileScanReport | Private slot to initiate the display of the file scan report page.
__virusTotalIpAddressReport | Private slot to retrieve an IP address report.
__virusTotalScanCurrentSite | Private slot to ask VirusTotal for a scan of the URL of the current browser.
__virusTotalSubmitUrlError | Private slot to handle an URL scan submission error.
__virusTotalUrlScanReport | Private slot to initiate the display of the URL scan report page.
__warning | Private slot handling warnings from the help engine.
__whatsThis | Private slot called in to enter Whats This mode.
__zoomIn | Private slot called to handle the zoom in action.
__zoomOut | Private slot called to handle the zoom out action.
__zoomReset | Private slot called to handle the zoom reset action.
__zoomValueChanged | Private slot to handle value changes of the zoom widget.
adBlockIcon | Public method to get a reference to the AdBlock icon.
bookmarkAll | Public slot to bookmark all open tabs.
browserAt | Public method to get a reference to the web browser with the given index.
browsers | Public method to get a list of references to all web browsers.
closeBrowser | Public method to close the given browser.
closeCurrentBrowser | Public method to close the current web browser.
closeEvent | Protected event handler for the close event.
createPopupMenu | Public method to create the toolbars menu for Qt.
currentBrowser | Public method to get a reference to the current web browser.
enterHtmlFullScreen | Public method to switch to full screen initiated by the HTML page.
event | Public method handling events.
eventKeyboardModifiers | Public method to get the last recorded keyboard modifiers.
eventMouseButtons | Public method to get the last recorded mouse buttons.
forceClose | Public method to force closing the window.
getActions | Public method to get a list of all actions.
getActionsCategory | Public method to get the category of the defined actions.
getSourceFileList | Public method to get a list of all opened source files.
hideFullScreenNavigation | Public slot to hide full screen navigation.
isClosing | Public method to test, if the window is closing.
isFullScreenNavigationVisible | Public method to check, if full screen navigation is active.
javascriptConsole | Public method to get a reference to the JavaScript console widget.
keyPressEvent | Protected method to handle key presses.
masterPasswordChanged | Public slot to handle the change of the master password.
mousePressEvent | Protected method called by a mouse press event.
newPrivateWindow | Public slot called to open a new private web browser window.
newTab | Public slot called to open a new web browser tab.
newWindow | Public slot called to open a new web browser window.
openSearchManager | Public method to get a reference to the opensearch manager object.
openUrl | Public slot to load a URL in the current tab.
openUrlNewBackgroundTab | Public slot to load a URL in a new background tab.
openUrlNewPrivateWindow | Public slot to load a URL in a new private window.
openUrlNewTab | Public slot to load a URL in a new tab.
openUrlNewWindow | Public slot to load a URL in a new window.
preferencesChanged | Public slot to handle a change of preferences.
reloadUserStyleSheet | Public method to reload the user style sheet.
requestVirusTotalScan | Public method to submit a request to scan an URL by VirusTotal.
search | Public method to search for a word.
searchEnginesAction | Public method to get a reference to the search engines configuration action.
setBackwardAvailable | Public slot called when backward references are available.
setEventKeyboardModifiers | Public method to record keyboard modifiers.
setEventMouseButtons | Public method to record mouse buttons.
setForwardAvailable | Public slot called when forward references are available.
setLoadingActions | Public slot to set the loading dependent actions.
showFullScreenNavigation | Public slot to show full screen navigation.
shutdown | Public method to shut down the web browser.
tabWidget | Public method to get a reference to the tab widget.
toggleFullScreen | Public slot called to toggle the full screen mode.
urlHandler | Public slot used as desktop URL handler.

### Static Methods

None

#### WebBrowserWindow.adBlockManager (class method)

adBlockManager()

Class method to get a reference to the AdBlock manager.

Returns:
  reference to the AdBlock manager (AdBlockManager)

#### WebBrowserWindow.autoScroller (class method)

autoScroller()

Class method to get a reference to the auto scroller.

Returns:
  reference to the auto scroller object

Return Type:
  AutoScroller

#### WebBrowserWindow.bookmarksManager (class method)

bookmarksManager()

Class method to get a reference to the bookmarks manager.

Returns:
  reference to the bookmarks manager (BookmarksManager)

#### WebBrowserWindow.cookieJar (class method)

cookieJar()

Class method to get a reference to the cookie jar.

Returns:
  reference to the cookie jar (CookieJar)

#### WebBrowserWindow.downloadManager (class method)

downloadManager()

Class method to get a reference to the download manager.

Returns:
  reference to the download manager (DownloadManager)

#### WebBrowserWindow.downloadRequested (class method)

downloadRequested(download)

Class method to handle a download request.

download (QWebEngineDownloadItem)
  reference to the download data

#### WebBrowserWindow.featurePermissionManager (class method)

featurePermissionManager()

Class method to get a reference to the feature permission manager.

Returns:
  reference to the feature permission manager

Return Type:
  FeaturePermissionManager

#### WebBrowserWindow.feedsManager (class method)

feedsManager()

Class method to get a reference to the RSS feeds manager.

Returns:
  reference to the RSS feeds manager (FeedsManager)

#### WebBrowserWindow.flashCookieManager (class method)

flashCookieManager()

Class method to get a reference to the flash cookies manager.

Returns:
  reference to the flash cookies manager

Return Type:
  FlashCookieManager

#### WebBrowserWindow.getQtHelpCollectionFileName (class method)

getQtHelpCollectionFileName()

Class method to determine the name of the QtHelp collection file.

Returns:
  path of the QtHelp collection file

Return Type:
  str

#### WebBrowserWindow.getWindow (class method)

getWindow()

Class method to get a reference to the most recent active web browser window.

Returns:
  reference to most recent web browser window

Return Type:
  WebBrowserWindow

#### WebBrowserWindow.globalStatusBar (class method)

globalStatusBar()

Class method to get a reference to a global status bar.

The global status bar is the status bar of the main window. If no such window exists and the web browser was called from the eric IDE, the status bar of the IDE is returned.

Returns:
  reference to the global status bar

Return Type:
  QStatusBar

#### WebBrowserWindow.greaseMonkeyManager (class method)

greaseMonkeyManager()

Class method to get a reference to the GreaseMonkey manager.

Returns:
  reference to the GreaseMonkey manager (GreaseMonkeyManager)

#### WebBrowserWindow.helpEngine (class method)

helpEngine()

Class method to get a reference to the help engine.

Returns:
  reference to the help engine (QHelpEngine)

#### WebBrowserWindow.historyManager (class method)

historyManager()

Class method to get a reference to the history manager.

Returns:
  reference to the history manager (HistoryManager)

#### WebBrowserWindow.icon (class method)

icon(url)

Class method to get the icon for an URL.

url
  URL to get icon for (QUrl)

Returns:
  icon for the URL (QIcon)

#### WebBrowserWindow.imageSearchEngine (class method)

imageSearchEngine()

Class method to get a reference to the image search engine.

Returns:
  reference to the image finder object

Return Type:
  ImageSearchEngine

#### WebBrowserWindow.isPrivate (class method)

isPrivate()

Class method to check the private browsing mode.

Returns:
  flag indicating private browsing mode

Return Type:
  bool

#### WebBrowserWindow.mainWindow (class method)

mainWindow()

Class method to get a reference to the main window.

Returns:
  reference to the main window (WebBrowserWindow)

#### WebBrowserWindow.mainWindows (class method)

mainWindows()

Class method to get references to all main windows.

Returns:
  references to all main window (list of WebBrowserWindow)

#### WebBrowserWindow.networkManager (class method)

networkManager()

Class method to get a reference to the network manager object.

Returns:
  reference to the network access manager (NetworkManager)

#### WebBrowserWindow.notificationsEnabled (class method)

notificationsEnabled()

Class method to check, if notifications are enabled.

Returns:
  flag indicating, if notifications are enabled (boolean)

#### WebBrowserWindow.passwordManager (class method)

passwordManager()

Class method to get a reference to the password manager.

Returns:
  reference to the password manager (PasswordManager)

#### WebBrowserWindow.personalInformationManager (class method)

personalInformationManager()

Class method to get a reference to the personal information manager.

Returns:
  reference to the personal information manager (PersonalInformationManager)

#### WebBrowserWindow.protocolHandlerManager (class method)

protocolHandlerManager()

Class method to get a reference to the protocol handler manager.

Returns:
  reference to the protocol handler manager

Return Type:
  ProtocolHandlerManager

#### WebBrowserWindow.safeBrowsingManager (class method)

safeBrowsingManager()

Class method to get a reference to the safe browsing interface.

Returns:
  reference to the safe browsing manager

Return Type:
  SafeBrowsingManager

#### WebBrowserWindow.sessionManager (class method)

sessionManager()

Class method to get a reference to the session manager.

Returns:
  reference to the session manager

Return Type:
  SessionManager

#### WebBrowserWindow.setUseQtHelp (class method)

setUseQtHelp(use)

Class method to set the QtHelp usage.

use
  flag indicating usage (boolean)

#### WebBrowserWindow.showNotification (class method)

showNotification(icon, heading, text, timeout=None)

Class method to show a desktop notification.

icon (QPixmap)
  icon to be shown in the notification
heading (str)
  heading of the notification
text (str)
  text of the notification
timeout (int)
  time in seconds the notification should be shown (None = use configured timeout, 0 = indefinitely)

#### WebBrowserWindow.speedDial (class method)

speedDial()

Class method to get a reference to the speed dial.

Returns:
  reference to the speed dial (SpeedDial)

#### WebBrowserWindow.syncManager (class method)

syncManager()

Class method to get a reference to the data synchronization manager.

Returns:
  reference to the data synchronization manager (SyncManager)

#### WebBrowserWindow.tabManager (class method)

tabManager()

Class method to get a reference to the tab manager widget.

Returns:
  reference to the tab manager widget

Return Type:
  TabManagerWidget

#### WebBrowserWindow.userAgentsManager (class method)

userAgentsManager()

Class method to get a reference to the user agents manager.

Returns:
  reference to the user agents manager (UserAgentManager)

#### WebBrowserWindow.webProfile (class method)

webProfile(private=False)

Class method handling the web engine profile.

private (bool)
  flag indicating the privacy mode

Returns:
  reference to the web profile object

Return Type:
  QWebEngineProfile

#### WebBrowserWindow.webSettings (class method)

webSettings()

Class method to get the web settings of the current profile.

Returns:
  web settings of the current profile

Return Type:
  QWebEngineSettings

#### WebBrowserWindow (Constructor)

WebBrowserWindow(home, path, parent, name, searchWord=None, private=False, qthelp=False, settingsDir="", restoreSession=False, single=False, saname="")

Constructor

home (str)
  the URL to be shown
path (str)
  the path of the working dir (usually '.')
parent (QWidget)
  parent widget of this window
name (str)
  name of this window
searchWord (str)
  word to search for
private (bool)
  flag indicating a private browsing window
qthelp (bool)
  flag indicating to enable the QtHelp support
settingsDir (str)
  directory to be used for the settings files
restoreSession (bool)
  flag indicating a restore session action
single (bool)
  flag indicating to start in single application mode
saname (str)
  name to be used for the single application server

#### WebBrowserWindow.__TBMenuTriggered

__TBMenuTriggered(act)

Private method to handle the toggle of a toolbar via the Window-> Toolbars submenu or the toolbars popup menu.

act (QAction)
  reference to the action that was triggered

#### WebBrowserWindow.__about

__about()

Private slot to show the about information.

#### WebBrowserWindow.__aboutQt

__aboutQt()

Private slot to show info about Qt.

#### WebBrowserWindow.__aboutToShowSettingsMenu

__aboutToShowSettingsMenu()

Private slot to show the Settings menu.

#### WebBrowserWindow.__aboutToShowTextEncodingMenu

__aboutToShowTextEncodingMenu()

Private slot to populate the text encoding menu.

#### WebBrowserWindow.__activateCurrentBrowser

__activateCurrentBrowser()

Private slot to activate the current browser.

#### WebBrowserWindow.__activateDock

__activateDock(widget)

Private method to activate the dock widget of the given widget.

widget
  reference to the widget to be activated (QWidget)

#### WebBrowserWindow.__addBookmark

__addBookmark()

Private slot called to add the displayed file to the bookmarks.

#### WebBrowserWindow.__addBookmarkCallback

__addBookmarkCallback(url, title, res)

Private callback method of __addBookmark().

url (str)
  URL for the bookmark
title (str)
  title for the bookmark
res (list)
  result of the JavaScript

#### WebBrowserWindow.__addBookmarkFolder

__addBookmarkFolder()

Private slot to add a new bookmarks folder.

#### WebBrowserWindow.__appFocusChanged

__appFocusChanged()

Private slot to handle a change of the focus.

#### WebBrowserWindow.__backward

__backward()

Private slot called to handle the backward action.

#### WebBrowserWindow.__bookmarkAllCallback

__bookmarkAllCallback(folder, url, title, res)

Private callback method of __addBookmark().

folder (BookmarkNode)
  reference to the bookmarks folder
url (str)
  URL for the bookmark
title (str)
  title for the bookmark
res (list)
  result of the JavaScript

#### WebBrowserWindow.__clearIconsDatabase

__clearIconsDatabase()

Private slot to clear the favicons databse.

#### WebBrowserWindow.__clearPrivateData

__clearPrivateData()

Private slot to clear the private data.

#### WebBrowserWindow.__configShortcuts

__configShortcuts()

Private slot to configure the keyboard shortcuts.

#### WebBrowserWindow.__copy

__copy()

Private slot called to handle the copy action.

#### WebBrowserWindow.__createTextEncodingAction

__createTextEncodingAction(codec, defaultCodec, parentMenu)

Private method to create an action for the text encoding menu.

codec (str)
  name of the codec to create an action for
defaultCodec (str)
  name of the default codec
parentMenu (QMenu)
  reference to the parent menu

#### WebBrowserWindow.__createTextEncodingSubmenu

__createTextEncodingSubmenu(title, codecNames, parentMenu)

Private method to create a text encoding sub menu.

title (str)
  title of the menu
codecNames (list of str)
  list of codec names for the menu
parentMenu (QMenu)
  reference to the parent menu

#### WebBrowserWindow.__currentChanged

__currentChanged(index)

Private slot to handle the currentChanged signal.

index
  index of the current tab (integer)

#### WebBrowserWindow.__cut

__cut()

Private slot called to handle the cut action.

#### WebBrowserWindow.__del__

__del__()

Special method called during object destruction.

Note: This empty variant seems to get rid of the Qt message 'Warning: QBasicTimer::start: QBasicTimer can only be used with threads started with QThread'

#### WebBrowserWindow.__docsInstalled

__docsInstalled(installed)

Private slot handling the end of documentation installation.

installed
  flag indicating that documents were installed (boolean)

#### WebBrowserWindow.__exportShortcuts

__exportShortcuts()

Private slot to export the keyboard shortcuts.

#### WebBrowserWindow.__feedsManagerClosed

__feedsManagerClosed(feedsManager)

Private slot to handle closing the feeds manager dialog.

feedsManager (FeedsManager)
  reference to the feeds manager object

#### WebBrowserWindow.__filterQtHelpDocumentation

__filterQtHelpDocumentation(customFilter)

Private slot to filter the QtHelp documentation.

customFilter
  name of filter to be applied (string)

#### WebBrowserWindow.__find

__find()

Private slot to handle the find action.

It opens the search dialog in order to perform the various search actions and to collect the various search info.

#### WebBrowserWindow.__forward

__forward()

Private slot called to handle the forward action.

#### WebBrowserWindow.__hideNavigation

__hideNavigation()

Private slot to hide full screen navigation by timer.

#### WebBrowserWindow.__home

__home()

Private slot called to handle the home action.

#### WebBrowserWindow.__importShortcuts

__importShortcuts()

Private slot to import the keyboard shortcuts.

#### WebBrowserWindow.__indexingFinished

__indexingFinished()

Private slot to handle the start of the indexing process.

#### WebBrowserWindow.__indexingStarted

__indexingStarted()

Private slot to handle the start of the indexing process.

#### WebBrowserWindow.__initActions

__initActions()

Private method to define the user interface actions.

#### WebBrowserWindow.__initHelpDb

__initHelpDb()

Private slot to initialize the documentation database.

#### WebBrowserWindow.__initMenus

__initMenus()

Private method to create the menus.

#### WebBrowserWindow.__initSuperMenu

__initSuperMenu()

Private method to create the super menu and attach it to the super menu button.

#### WebBrowserWindow.__initToolbars

__initToolbars()

Private method to create the toolbars.

#### WebBrowserWindow.__initWebEngineSettings

__initWebEngineSettings()

Private method to set the global web settings.

#### WebBrowserWindow.__linkActivated

__linkActivated(url)

Private slot to handle the selection of a link.

url (QUrl)
  URL to be shown

#### WebBrowserWindow.__lookForNewDocumentation

__lookForNewDocumentation()

Private slot to look for new documentation to be loaded into the help database.

#### WebBrowserWindow.__manageQtHelpDocumentation

__manageQtHelpDocumentation()

Private slot to manage the QtHelp documentation database.

#### WebBrowserWindow.__nextTab

__nextTab()

Private slot used to show the next tab.

#### WebBrowserWindow.__openFile

__openFile()

Private slot called to open a file.

#### WebBrowserWindow.__openFileNewTab

__openFileNewTab()

Private slot called to open a file in a new tab.

#### WebBrowserWindow.__paste

__paste()

Private slot called to handle the paste action.

#### WebBrowserWindow.__populateToolbarsMenu

__populateToolbarsMenu(menu)

Private method to populate the toolbars menu.

menu (QMenu)
  reference to the menu to be populated

#### WebBrowserWindow.__prevTab

__prevTab()

Private slot used to show the previous tab.

#### WebBrowserWindow.__redo

__redo()

Private slot to handle the redo action.

#### WebBrowserWindow.__reload

__reload()

Private slot called to handle the reload action.

#### WebBrowserWindow.__removeOldDocumentation

__removeOldDocumentation()

Private slot to remove non-existing documentation from the help engine.

#### WebBrowserWindow.__saLoadUrl

__saLoadUrl(urlStr)

Private slot to load an URL received via the single application protocol.

urlStr (str)
  URL to be loaded

#### WebBrowserWindow.__saNewTab

__saNewTab(urlStr)

Private slot to load an URL received via the single application protocol in a new tab.

urlStr (str)
  URL to be loaded

#### WebBrowserWindow.__saSearchWord

__saSearchWord(word)

Private slot to search for the given word.

word (str)
  word to be searched for

#### WebBrowserWindow.__savePageAs

__savePageAs()

Private slot to save the current page.

#### WebBrowserWindow.__saveVisiblePageScreen

__saveVisiblePageScreen()

Private slot to save the visible part of the current page as a screen shot.

#### WebBrowserWindow.__searchForWord

__searchForWord()

Private slot to search for a word.

#### WebBrowserWindow.__selectAll

__selectAll()

Private slot to handle the select all action.

#### WebBrowserWindow.__sendPageLink

__sendPageLink()

Private slot to send the link of the current page via email.

#### WebBrowserWindow.__setBookmarksToolbarVisibility

__setBookmarksToolbarVisibility(visible)

Private method to set the visibility of the bookmarks toolbar.

visible (bool)
  flag indicating the toolbar visibility

#### WebBrowserWindow.__setIconDatabasePath

__setIconDatabasePath(enable=True)

Private method to set the favicons path.

enable
  flag indicating to enabled icon storage (boolean)

#### WebBrowserWindow.__setMenuBarVisibility

__setMenuBarVisibility(visible)

Private method to set the visibility of the menu bar.

visible (bool)
  flag indicating the menu bar visibility

#### WebBrowserWindow.__setStatusBarVisible

__setStatusBarVisible(visible)

Private method to set the visibility of the status bar.

visible (bool)
  flag indicating the status bar visibility

#### WebBrowserWindow.__setTextEncoding

__setTextEncoding(act)

Private slot to set the selected text encoding as the default for this session.

act
  reference to the selected action (QAction)

#### WebBrowserWindow.__setUserStyleSheet

__setUserStyleSheet(styleSheetFile)

Private method to set a user style sheet.

styleSheetFile
  name of the user style sheet file (string)

#### WebBrowserWindow.__setupFilterCombo

__setupFilterCombo()

Private slot to setup the filter combo box.

#### WebBrowserWindow.__shallShutDown

__shallShutDown()

Private method to check, if the application should be shut down.

Returns:
  flag indicating a shut down

Return Type:
  bool

#### WebBrowserWindow.__showAcceptedLanguages

__showAcceptedLanguages()

Private slot to configure the accepted languages for web pages.

#### WebBrowserWindow.__showAdBlockDialog

__showAdBlockDialog()

Private slot to show the AdBlock configuration dialog.

#### WebBrowserWindow.__showBookmarksDialog

__showBookmarksDialog()

Private slot to show the bookmarks dialog.

#### WebBrowserWindow.__showCertificateErrorsDialog

__showCertificateErrorsDialog()

Private slot to show the certificate errors management dialog.

#### WebBrowserWindow.__showCookiesConfiguration

__showCookiesConfiguration()

Private slot to configure the cookies handling.

#### WebBrowserWindow.__showDownloadsWindow

__showDownloadsWindow()

Private slot to show the downloads dialog.

#### WebBrowserWindow.__showEnginesConfigurationDialog

__showEnginesConfigurationDialog()

Private slot to show the search engines configuration dialog.

#### WebBrowserWindow.__showFeaturePermissionDialog

__showFeaturePermissionDialog()

Private slot to show the feature permission dialog.

#### WebBrowserWindow.__showFeedsManager

__showFeedsManager()

Private slot to show the feeds manager dialog.

#### WebBrowserWindow.__showFlashCookiesManagement

__showFlashCookiesManagement()

Private slot to show the flash cookies management dialog.

#### WebBrowserWindow.__showGreaseMonkeyConfigDialog

__showGreaseMonkeyConfigDialog()

Private slot to show the GreaseMonkey scripts configuration dialog.

#### WebBrowserWindow.__showIndexWindow

__showIndexWindow()

Private method to show the index window.

#### WebBrowserWindow.__showInstallationError

__showInstallationError(message)

Private slot to show installation errors.

message
  message to be shown (string)

#### WebBrowserWindow.__showPageSource

__showPageSource()

Private slot to show the source of the current page in an editor.

#### WebBrowserWindow.__showPageSourceCallback

__showPageSourceCallback(src)

Private method to show the source of the current page in an editor.

src (str)
  source of the web page

#### WebBrowserWindow.__showPasswordsDialog

__showPasswordsDialog()

Private slot to show the passwords management dialog.

#### WebBrowserWindow.__showPersonalInformationDialog

__showPersonalInformationDialog()

Private slot to show the Personal Information configuration dialog.

#### WebBrowserWindow.__showPreferences

__showPreferences()

Private slot to set the preferences.

#### WebBrowserWindow.__showProtocolHandlerManagerDialog

__showProtocolHandlerManagerDialog()

Private slot to show the protocol handler manager dialog.

#### WebBrowserWindow.__showSafeBrowsingDialog

__showSafeBrowsingDialog()

Private slot to show the safe browsing management dialog.

#### WebBrowserWindow.__showSearchWindow

__showSearchWindow()

Private method to show the search window.

#### WebBrowserWindow.__showSessionManagerDialog

__showSessionManagerDialog()

Private slot to show the session manager dialog.

#### WebBrowserWindow.__showSiteinfoDialog

__showSiteinfoDialog()

Private slot to show the site info dialog.

#### WebBrowserWindow.__showSyncDialog

__showSyncDialog()

Private slot to show the synchronization dialog.

#### WebBrowserWindow.__showTabManager

__showTabManager(act)

Private method to show the tab manager window.

act (QAction)
  reference to the act that triggered

#### WebBrowserWindow.__showTocWindow

__showTocWindow()

Private method to show the table of contents window.

#### WebBrowserWindow.__showToolbarsMenu

__showToolbarsMenu()

Private slot to display the Toolbars menu.

#### WebBrowserWindow.__showUserAgentsDialog

__showUserAgentsDialog()

Private slot to show the user agents management dialog.

#### WebBrowserWindow.__showWebIconsDialog

__showWebIconsDialog()

Private slot to show a dialog to manage the favicons database.

#### WebBrowserWindow.__showZoomValuesDialog

__showZoomValuesDialog()

Private slot to show the zoom values management dialog.

#### WebBrowserWindow.__shutdownWindow

__shutdownWindow()

Private method to shut down a web browser window.

Returns:
  flag indicating successful shutdown (boolean)

#### WebBrowserWindow.__stopLoading

__stopLoading()

Private slot called to handle loading of the current page.

#### WebBrowserWindow.__switchTab

__switchTab()

Private slot used to switch between the current and the previous current tab.

#### WebBrowserWindow.__syncTOC

__syncTOC()

Private slot to synchronize the TOC with the currently shown page.

#### WebBrowserWindow.__titleChanged

__titleChanged(browser, title)

Private slot called to handle a change of a browser's title.

browser
  reference to the browser (WebBrowserView)
title
  new title (string)

#### WebBrowserWindow.__toggleJavaScriptConsole

__toggleJavaScriptConsole()

Private slot to toggle the JavaScript console.

#### WebBrowserWindow.__undo

__undo()

Private slot to handle the undo action.

#### WebBrowserWindow.__unselect

__unselect()

Private slot to clear the selection of the current browser.

#### WebBrowserWindow.__virusTotalDomainReport

__virusTotalDomainReport()

Private slot to retrieve a domain report.

#### WebBrowserWindow.__virusTotalFileScanReport

__virusTotalFileScanReport(url)

Private slot to initiate the display of the file scan report page.

url
  URL of the file scan report page (string)

#### WebBrowserWindow.__virusTotalIpAddressReport

__virusTotalIpAddressReport()

Private slot to retrieve an IP address report.

#### WebBrowserWindow.__virusTotalScanCurrentSite

__virusTotalScanCurrentSite()

Private slot to ask VirusTotal for a scan of the URL of the current browser.

#### WebBrowserWindow.__virusTotalSubmitUrlError

__virusTotalSubmitUrlError(msg)

Private slot to handle an URL scan submission error.

msg
  error message (str)

#### WebBrowserWindow.__virusTotalUrlScanReport

__virusTotalUrlScanReport(url)

Private slot to initiate the display of the URL scan report page.

url
  URL of the URL scan report page (string)

#### WebBrowserWindow.__warning

__warning(msg)

Private slot handling warnings from the help engine.

msg
  message sent by the help engine (string)

#### WebBrowserWindow.__whatsThis

__whatsThis()

Private slot called in to enter Whats This mode.

#### WebBrowserWindow.__zoomIn

__zoomIn()

Private slot called to handle the zoom in action.

#### WebBrowserWindow.__zoomOut

__zoomOut()

Private slot called to handle the zoom out action.

#### WebBrowserWindow.__zoomReset

__zoomReset()

Private slot called to handle the zoom reset action.

#### WebBrowserWindow.__zoomValueChanged

__zoomValueChanged(value)

Private slot to handle value changes of the zoom widget.

value
  zoom value (integer)

#### WebBrowserWindow.adBlockIcon

adBlockIcon()

Public method to get a reference to the AdBlock icon.

Returns:
  reference to the AdBlock icon (AdBlockIcon)

#### WebBrowserWindow.bookmarkAll

bookmarkAll()

Public slot to bookmark all open tabs.

#### WebBrowserWindow.browserAt

browserAt(index)

Public method to get a reference to the web browser with the given index.

index
  index of the browser to get (integer)

Returns:
  reference to the indexed web browser (WebBrowserView)

#### WebBrowserWindow.browsers

browsers()

Public method to get a list of references to all web browsers.

Returns:
  list of references to web browsers (list of WebBrowserView)

#### WebBrowserWindow.closeBrowser

closeBrowser(browser)

Public method to close the given browser.

browser (WebBrowserView)
  reference to the web browser view to be closed

#### WebBrowserWindow.closeCurrentBrowser

closeCurrentBrowser()

Public method to close the current web browser.

#### WebBrowserWindow.closeEvent

closeEvent(e)

Protected event handler for the close event.

e
  the close event (QCloseEvent)
  This event is simply accepted after the history has been saved and all window references have been deleted.

#### WebBrowserWindow.createPopupMenu

createPopupMenu()

Public method to create the toolbars menu for Qt.

Returns:
  toolbars menu

Return Type:
  QMenu

#### WebBrowserWindow.currentBrowser

currentBrowser()

Public method to get a reference to the current web browser.

Returns:
  reference to the current help browser (WebBrowserView)

#### WebBrowserWindow.enterHtmlFullScreen

enterHtmlFullScreen()

Public method to switch to full screen initiated by the HTML page.

#### WebBrowserWindow.event

event(evt)

Public method handling events.

evt (QEvent)
  reference to the event

Returns:
  flag indicating a handled event

Return Type:
  bool

#### WebBrowserWindow.eventKeyboardModifiers

eventKeyboardModifiers()

Public method to get the last recorded keyboard modifiers.

Returns:
  keyboard modifiers (Qt.KeyboardModifiers)

#### WebBrowserWindow.eventMouseButtons

eventMouseButtons()

Public method to get the last recorded mouse buttons.

Returns:
  mouse buttons (Qt.MouseButtons)

#### WebBrowserWindow.forceClose

forceClose()

Public method to force closing the window.

#### WebBrowserWindow.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E5Action)

#### WebBrowserWindow.getActionsCategory

getActionsCategory()

Public method to get the category of the defined actions.

Returns:
  category of the actions

Return Type:
  str

#### WebBrowserWindow.getSourceFileList

getSourceFileList()

Public method to get a list of all opened source files.

Returns:
  dictionary with tab id as key and host/namespace as value

#### WebBrowserWindow.hideFullScreenNavigation

hideFullScreenNavigation()

Public slot to hide full screen navigation.

#### WebBrowserWindow.isClosing

isClosing()

Public method to test, if the window is closing.

Returns:
  flag indicating that the window is closing

Return Type:
  bool

#### WebBrowserWindow.isFullScreenNavigationVisible

isFullScreenNavigationVisible()

Public method to check, if full screen navigation is active.

Returns:
  flag indicating visibility of the navigation container in full screen mode

Return Type:
  bool

#### WebBrowserWindow.javascriptConsole

javascriptConsole()

Public method to get a reference to the JavaScript console widget.

Returns:
  reference to the JavaScript console

Return Type:
  WebBrowserJavaScriptConsole

#### WebBrowserWindow.keyPressEvent

keyPressEvent(evt)

Protected method to handle key presses.

evt
  reference to the key press event (QKeyEvent)

#### WebBrowserWindow.masterPasswordChanged

masterPasswordChanged(oldPassword, newPassword, local=False)

Public slot to handle the change of the master password.

oldPassword (str)
  current master password
newPassword (str)
  new master password
local (bool)
  flag indicating being called from the local configuration dialog

#### WebBrowserWindow.mousePressEvent

mousePressEvent(evt)

Protected method called by a mouse press event.

evt
  reference to the mouse event (QMouseEvent)

#### WebBrowserWindow.newPrivateWindow

newPrivateWindow(link=None)

Public slot called to open a new private web browser window.

link (str or QUrl)
  URL to be displayed in the new window

#### WebBrowserWindow.newTab

newTab(link=None, addNextTo=None, background=False)

Public slot called to open a new web browser tab.

link
  file to be displayed in the new window (string or QUrl)
addNextTo
  reference to the browser to open the tab after (WebBrowserView)
background=
  flag indicating to open the tab in the background (bool)

Returns:
  reference to the new browser

Return Type:
  WebBrowserView

#### WebBrowserWindow.newWindow

newWindow(link=None, restoreSession=False)

Public slot called to open a new web browser window.

link (str or QUrl)
  URL to be displayed in the new window
restoreSession (bool)
  flag indicating a restore session action

Returns:
  reference to the new window

Return Type:
  WebBrowserWindow

#### WebBrowserWindow.openSearchManager

openSearchManager()

Public method to get a reference to the opensearch manager object.

Returns:
  reference to the opensearch manager object (OpenSearchManager)

#### WebBrowserWindow.openUrl

openUrl(url, title=None)

Public slot to load a URL in the current tab.

url
  URL to be opened (QUrl)
title
  title of the bookmark (string)

#### WebBrowserWindow.openUrlNewBackgroundTab

openUrlNewBackgroundTab(url, title=None)

Public slot to load a URL in a new background tab.

url
  URL to be opened (QUrl)
title
  title of the bookmark (string)

#### WebBrowserWindow.openUrlNewPrivateWindow

openUrlNewPrivateWindow(url, title=None)

Public slot to load a URL in a new private window.

url
  URL to be opened (QUrl)
title
  title of the bookmark (string)

#### WebBrowserWindow.openUrlNewTab

openUrlNewTab(url, title=None)

Public slot to load a URL in a new tab.

url
  URL to be opened (QUrl)
title
  title of the bookmark (string)

#### WebBrowserWindow.openUrlNewWindow

openUrlNewWindow(url, title=None)

Public slot to load a URL in a new window.

url
  URL to be opened (QUrl)
title
  title of the bookmark (string)

#### WebBrowserWindow.preferencesChanged

preferencesChanged()

Public slot to handle a change of preferences.

#### WebBrowserWindow.reloadUserStyleSheet

reloadUserStyleSheet()

Public method to reload the user style sheet.

#### WebBrowserWindow.requestVirusTotalScan

requestVirusTotalScan(url)

Public method to submit a request to scan an URL by VirusTotal.

url
  URL to be scanned (QUrl)

#### WebBrowserWindow.search

search(word)

Public method to search for a word.

word
  word to search for (string)

#### WebBrowserWindow.searchEnginesAction

searchEnginesAction()

Public method to get a reference to the search engines configuration action.

Returns:
  reference to the search engines configuration action (QAction)

#### WebBrowserWindow.setBackwardAvailable

setBackwardAvailable(b)

Public slot called when backward references are available.

b
  flag indicating availability of the backwards action (boolean)

#### WebBrowserWindow.setEventKeyboardModifiers

setEventKeyboardModifiers(modifiers)

Public method to record keyboard modifiers.

modifiers
  keyboard modifiers to record (Qt.KeyboardModifiers)

#### WebBrowserWindow.setEventMouseButtons

setEventMouseButtons(buttons)

Public method to record mouse buttons.

buttons
  mouse buttons to record (Qt.MouseButtons)

#### WebBrowserWindow.setForwardAvailable

setForwardAvailable(b)

Public slot called when forward references are available.

b
  flag indicating the availability of the forwards action (boolean)

#### WebBrowserWindow.setLoadingActions

setLoadingActions(b)

Public slot to set the loading dependent actions.

b
  flag indicating the loading state to consider (boolean)

#### WebBrowserWindow.showFullScreenNavigation

showFullScreenNavigation()

Public slot to show full screen navigation.

#### WebBrowserWindow.shutdown

shutdown()

Public method to shut down the web browser.

Returns:
  flag indicating successful shutdown (boolean)

#### WebBrowserWindow.tabWidget

tabWidget()

Public method to get a reference to the tab widget.

Returns:
  reference to the tab widget

Return Type:
  WebBrowserTabWidget

#### WebBrowserWindow.toggleFullScreen

toggleFullScreen()

Public slot called to toggle the full screen mode.

#### WebBrowserWindow.urlHandler

urlHandler(url)

Public slot used as desktop URL handler.

url (QUrl)
  URL to be handled

Up